NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.ShipDesign.Cutout2Builder Class Reference

Represents a NXOpen.Features.ShipDesign.Cutout2 builder More...

Inheritance diagram for NXOpen.Features.ShipDesign.Cutout2Builder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CreationMethod {
  Face2Lines, SpecifyCSYS, Faces2Surfaces, FacesBetweenSurfacesSurface,
  FacesCentered, CustomShape, BoundingObjects
}
 available methods used to place a cutout object More...
 

Public Member Functions

unsafe
NXOpen.Features.ShipDesign.PointDimBuilder 
CreateEmptyPointDimBuilder ()
 Creates an empty NXOpen. More...
 
unsafe
NXOpen.Features.ShipDesign.PointDimBuilder 
CreatePointDimBuilder (NXOpen.Expression dimension, int index)
 Creates a NXOpen. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression AngularDimension [get]
 Returns the angular dimension (used only for Face2Lines, Faces2Surfaces, FacesBetweenSurfacesSurface, FacesCentered) More...
 
unsafe NXOpen.CoordinateSystem CoordSystem [get, set]
 Returns or sets the coord system (only used for: SpecifyCSYS) More...
 
unsafe
NXOpen.Features.ShipDesign.PointDimBuilderList 
CornerRadiusList [get]
 Returns the list of objects that each define a custom blend radius at the nearest corner of a boundary type cutout. More...
 
unsafe NXOpen.Section CustomShape [get]
 Returns the section of curves defining the custom shape cut More...
 
unsafe NXOpen.Expression DefaultCornerRadius [get]
 Returns the default radius for corners of a boundary cutout More...
 
unsafe
NXOpen.ExpressionCollectorSetList 
FacePlaneBoundaryList [get]
 Returns the face, plane boundary, which defines a list of bounding objects objects with offset values. More...
 
unsafe NXOpen.Direction HorizontalReference [get, set]
 Returns or sets the horizontal reference (optional, used only for Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered) More...
 
unsafe NXOpen.Expression LinearOffset1 [get]
 Returns the linear offset1 (replaced by ReferenceOffset1 in NX8. More...
 
unsafe NXOpen.Expression LinearOffset2 [get]
 Returns the linear offset2 (replaced by ReferenceOffset2 in NX8. More...
 
unsafe
NXOpen.Features.ShipDesign.ManufacturingStockBuilder 
ManufacturingInformation [get]
 Returns the manufacturing stock builder that holds the manufacturing data. More...
 
unsafe
NXOpen.Features.ShipDesign.Cutout2Builder.CreationMethod 
PlacementType [get, set]
 Returns or sets the placement type More...
 
unsafe
NXOpen.GeometricUtilities.ProjectionOptions 
ProjectionDirection [get]
 Returns the direction used to project the custom shape curves More...
 
unsafe NXOpen.Expression ReferenceOffset1 [get]
 Returns the reference offset1 (used only for Face2Lines, and Faces2Surfaces ) More...
 
unsafe NXOpen.Expression ReferenceOffset2 [get]
 Returns the reference offset2 (used only for Face2Lines, and Faces2Surfaces) More...
 
unsafe NXOpen.Expression ReferenceOffset3 [get]
 Returns the reference offset3 (used only for FacesBetweenSurfacesSurface) More...
 
unsafe bool ReverseDirection1 [get, set]
 Returns or sets the reverse direction1 (used only for Face2Lines, and Faces2Surfaces ) More...
 
unsafe bool ReverseDirection2 [get, set]
 Returns or sets the reverse direction2 (used only for Face2Lines, and Faces2Surfaces) More...
 
unsafe bool ReverseDirection3 [get, set]
 Returns or sets the reverse direction3 (used only for FacesBetweenSurfacesSurface) More...
 
unsafe NXOpen.SelectNXObject SelectCSYSFace [get]
 Returns the select csysface (only used for: SpecifyCSYS) More...
 
unsafe NXOpen.SelectNXObject SelectLine1 [get]
 Returns the select line1 (replaced by SelectReference1 in NX8. More...
 
unsafe NXOpen.SelectNXObject SelectLine2 [get]
 Returns the select line2 (replaced by SelectReference2 in NX8. More...
 
unsafe NXOpen.SelectNXObject SelectReference1 [get]
 Returns the reference1 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface) More...
 
unsafe NXOpen.SelectNXObject SelectReference2 [get]
 Returns the reference2 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface) More...
 
unsafe NXOpen.SelectNXObject SelectReference3 [get]
 Returns the reference3 (used only for FacesBetweenSurfacesSurface) More...
 
unsafe NXOpen.SelectNXObject SelectTargetFace [get]
 Returns the select target face More...
 
unsafe NXOpen.SelectNXObjectList SelectTargetFaces [get]
 Returns the target faces (used only for: Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered) More...
 
unsafe
NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder 
SketchBlock [get]
 Returns the sketch block. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.Cutout2 builder

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateCutout2Builder

Default values.

Property Value

AngularDimension.Value

0

PlacementType

Face2Lines

ReferenceOffset1.Value

0 (millimeters part), 0 (inches part)

ReferenceOffset2.Value

0 (millimeters part), 0 (inches part)

ReferenceOffset3.Value

0 (millimeters part), 0 (inches part)

Created in NX8.0.0

Member Enumeration Documentation

available methods used to place a cutout object

Enumerator
Face2Lines 

1 face and 2 lines, edges, or datums are used to place this cutout

SpecifyCSYS 

a csys is used to place this cutout

Faces2Surfaces 

1 face and 2 surfaces are used to place this cutout

FacesBetweenSurfacesSurface 

1 face and 3 surfaces are used to place this cutout

FacesCentered 

1 face is used to place this cutout

CustomShape 

Custom curves are extruded to define the cut shape.

BoundingObjects 

Cutout geometry is defined by bounding objects.

Member Function Documentation

unsafe NXOpen.Features.ShipDesign.PointDimBuilder NXOpen.Features.ShipDesign.Cutout2Builder.CreateEmptyPointDimBuilder ( )
inline

Creates an empty NXOpen.

Features.ShipDesign.PointDimBuilder

Created in NX1847.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Returns
unsafe NXOpen.Features.ShipDesign.PointDimBuilder NXOpen.Features.ShipDesign.Cutout2Builder.CreatePointDimBuilder ( NXOpen.Expression  dimension,
int  index 
)
inline

Creates a NXOpen.

Features.ShipDesign.PointDimBuilder with the given expression and index.

Created in NX1847.0.0

License requirements: nx_ship_detail ("Ship Detail Design") OR nx_ship_basic ("Ship Basic Design")

Parameters
dimension
index
Returns

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.Cutout2Builder.AngularDimension
get

Returns the angular dimension (used only for Face2Lines, Faces2Surfaces, FacesBetweenSurfacesSurface, FacesCentered)

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.CoordinateSystem NXOpen.Features.ShipDesign.Cutout2Builder.CoordSystem
getset

Returns or sets the coord system (only used for: SpecifyCSYS)

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Features.ShipDesign.PointDimBuilderList NXOpen.Features.ShipDesign.Cutout2Builder.CornerRadiusList
get

Returns the list of objects that each define a custom blend radius at the nearest corner of a boundary type cutout.

Only used when PlacementType is Features.ShipDesign.Cutout2Builder.CreationMethodBoundingObjects.

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.ShipDesign.Cutout2Builder.CustomShape
get

Returns the section of curves defining the custom shape cut

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.Cutout2Builder.DefaultCornerRadius
get

Returns the default radius for corners of a boundary cutout

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.ExpressionCollectorSetList NXOpen.Features.ShipDesign.Cutout2Builder.FacePlaneBoundaryList
get

Returns the face, plane boundary, which defines a list of bounding objects objects with offset values.

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.ShipDesign.Cutout2Builder.HorizontalReference
getset

Returns or sets the horizontal reference (optional, used only for Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.Cutout2Builder.LinearOffset1
get

Returns the linear offset1 (replaced by ReferenceOffset1 in NX8.

5)

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.Cutout2Builder.LinearOffset2
get

Returns the linear offset2 (replaced by ReferenceOffset2 in NX8.

5)

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.ManufacturingStockBuilder NXOpen.Features.ShipDesign.Cutout2Builder.ManufacturingInformation
get

Returns the manufacturing stock builder that holds the manufacturing data.

Created in NX8.5.1

License requirements: None.

unsafe NXOpen.Features.ShipDesign.Cutout2Builder.CreationMethod NXOpen.Features.ShipDesign.Cutout2Builder.PlacementType
getset

Returns or sets the placement type

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.GeometricUtilities.ProjectionOptions NXOpen.Features.ShipDesign.Cutout2Builder.ProjectionDirection
get

Returns the direction used to project the custom shape curves

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.Cutout2Builder.ReferenceOffset1
get

Returns the reference offset1 (used only for Face2Lines, and Faces2Surfaces )

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.Cutout2Builder.ReferenceOffset2
get

Returns the reference offset2 (used only for Face2Lines, and Faces2Surfaces)

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.Cutout2Builder.ReferenceOffset3
get

Returns the reference offset3 (used only for FacesBetweenSurfacesSurface)

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.Cutout2Builder.ReverseDirection1
getset

Returns or sets the reverse direction1 (used only for Face2Lines, and Faces2Surfaces )

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe bool NXOpen.Features.ShipDesign.Cutout2Builder.ReverseDirection2
getset

Returns or sets the reverse direction2 (used only for Face2Lines, and Faces2Surfaces)

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe bool NXOpen.Features.ShipDesign.Cutout2Builder.ReverseDirection3
getset

Returns or sets the reverse direction3 (used only for FacesBetweenSurfacesSurface)

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_detail ("Ship Detail Design")

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.Cutout2Builder.SelectCSYSFace
get

Returns the select csysface (only used for: SpecifyCSYS)

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.Cutout2Builder.SelectLine1
get

Returns the select line1 (replaced by SelectReference1 in NX8.

5)

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.Cutout2Builder.SelectLine2
get

Returns the select line2 (replaced by SelectReference2 in NX8.

5)

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.Cutout2Builder.SelectReference1
get

Returns the reference1 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface)

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.Cutout2Builder.SelectReference2
get

Returns the reference2 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface)

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.Cutout2Builder.SelectReference3
get

Returns the reference3 (used only for FacesBetweenSurfacesSurface)

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.ShipDesign.Cutout2Builder.SelectTargetFace
get

Returns the select target face

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Features.ShipDesign.Cutout2Builder.SelectTargetFaces
get

Returns the target faces (used only for: Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder NXOpen.Features.ShipDesign.Cutout2Builder.SketchBlock
get

Returns the sketch block.

Users can specify the Cutout using a single sketch. The sketch type and its parameters are controlled by the NXOpen.Features.ShipDesign.SteelFeatureSpreadsheetBuilder .

Created in NX8.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.